apiVersion: metallb.io/v1beta1
kind: IPAddressPool
metadata:
  # A name for the address pool. Services can request allocation
  # from a specific address pool using this name.
  name: home-pool
  # has to be in the nginx-ingress namespace
  namespace: nginx-ingress
spec:
  # A list of IP address ranges over which MetalLB has
  # authority. You can list multiple ranges in a single pool, they
  # will all share the same settings. Each range can be either a
  # CIDR prefix, or an explicit start-end range of IPs.
  addresses:
    - 192.168.1.200-192.168.1.210
    - 192.168.1.230-192.168.1.235

---

apiVersion: metallb.io/v1beta1
kind: L2Advertisement
metadata:
  name: home-pool
  namespace: nginx-ingress
